Bug 701314 - UI times out during long import
UI times out during long import
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon3 rhq401
  Show dependency treegraph
 
Reported: 2011-05-02 10:57 EDT by John Mazzitelli
Modified: 2013-09-02 03:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:14:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-05-02 10:57:18 EDT
If you go to the auto-discovery queue page, and import a large amount of resources that take longer than 10 seconds to complete the commit to inventory, the UI will display a red "timeout" error message.

The import goes through successfully (assuming no real problems occur), but the UI just doesn't wait long enough.

As a simple solution, we have to add a timeout parameter and use it in the GWT client for the API that commits resources to inventory.
Comment 1 John Mazzitelli 2011-05-03 14:48:36 EDT
master commit 8534967

this commit bumps up the timeout to 1 minute. In addition, if that still isn't enough, we'll log a warning message that tells the user about the timeout but that the server is still processing the request.

hard to test this - I guess just import lots of resources in the discovery queue and see that you don't get a timeout (which used to be 10s - so if your request is over 10s and completes successfully, OR you get a yellow warning message, this issue is fixed)
Comment 2 Charles Crouch 2011-05-09 16:17:19 EDT
Added for triage for RHQ4.0.1
Comment 3 John Mazzitelli 2011-05-10 12:28:36 EDT
cherry picked over to release-4.0.0 branch as commit: 9b953bd567a507e890c7ee2688c1e9c803cee88e
Comment 4 Mike Foley 2011-05-12 08:35:00 EDT
verified RHQ 4.0.1 by importing resources, the basic positive use-case.  i am comfortable with bumping up an existing timeout value as low risk change.
Comment 5 Heiko W. Rupp 2013-09-02 03:14:34 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.